"use strict";
/*
 * Copyright (c) 2021, knokbak and contributors.
 *
 * The Birb.JS Project: https://birb.js.org
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Channel_1 = __importDefault(require("./Channel"));
class GuildChannel extends Channel_1.default {
    constructor() {
        super(...arguments);
        this.guild = null;
    }
    /**
     * Set the GuildChannel's data to the cache.
     *
     * @returns {GuildChannel} This GuildChannel instance.
     * @protected
     */
    set() {
        this.guild.channels.cache.set(this.id, this);
        return this;
    }
}
exports.default = GuildChannel;
