export default class BitsBlock {
    flags: number;
    constructor(...flags: number[]);
    /**
     * Adds a flag (bit) to the block.
     *
     * @param {number} flags The flags to add.
     * @returns {BitsBlock} The updated block.
     * @public
     */
    add(...flags: number[]): BitsBlock;
    /**
     * Removes a flag (bit) from the block.
     *
     * @param {number} flags The flags to remove.
     * @returns {BitsBlock} The updated block.
     * @public
     */
    remove(...flags: number[]): BitsBlock;
    /**
     * Check if a flag (bit) is in the block.
     *
     * @param {number} flag The flag to check.
     * @returns {boolean} The result.
     * @public
     */
    has(flag: number): boolean;
    /**
     * Check if the block is empty.
     *
     * @returns {boolean} `true` if the block is empty, `false` otherwise.
     * @public
     */
    isEmpty(): boolean;
}
