import Client from '../Client';
export default class HTTPChannel {
    static addThreadMember(client: Client, channelId: string, userId: string): Promise<any>;
    static bulkDeleteMessages(client: Client, channelId: string, data: any, reason?: string): Promise<any>;
    static createInvite(client: Client, channelId: string, data: any, reason?: string): Promise<any>;
    static createMessage(client: Client, channelId: string, data: any): Promise<any>;
    static createMessageReaction(client: Client, channelId: string, messageId: string, emoji: string): Promise<any>;
    static crossPostMessage(client: Client, channelId: string, messageId: string): Promise<any>;
    static delete(client: Client, channelId: string, reason?: string): Promise<any>;
    static deleteAllMessageReactions(client: Client, channelId: string, messageId: string): Promise<any>;
    static deleteAllMessageReactionsForEmoji(client: Client, channelId: string, messageId: string, emoji: string): Promise<any>;
    static deleteMessage(client: Client, channelId: string, messageId: string, reason?: string): Promise<any>;
    static deleteMessageReaction(client: Client, channelId: string, messageId: string, userId: string, emoji: string): Promise<any>;
    static deleteOwnMessageReaction(client: Client, channelId: string, messageId: string, emoji: string): Promise<any>;
    static deletePermission(client: Client, channelId: string, overwriteId: string, reason?: string): Promise<any>;
    static dmAddRecipient(client: Client, channelId: string, userId: string, data: any): Promise<any>;
    static dmRemoveRecipient(client: Client, channelId: string, userId: string): Promise<any>;
    static editMessage(client: Client, channelId: string, messageId: string, data: any): Promise<any>;
    static editPermissions(client: Client, channelId: string, overwriteId: string, data: any): Promise<any>;
    static followChannel(client: Client, channelId: string, data: any): Promise<any>;
    static getInvites(client: Client, channelId: string): Promise<any>;
    static getMessage(client: Client, channelId: string, messageId: any): Promise<any>;
    static getMessageReactions(client: Client, channelId: string, messageId: any, emoji: string): Promise<any>;
    static getMessages(client: Client, channelId: string, data: any): Promise<any>;
    static getPinnedMessages(client: Client, channelId: string): Promise<any>;
    static getThreadMember(client: Client, channelId: string, userId: string): Promise<any>;
    static joinThread(client: Client, channelId: string): Promise<any>;
    static leaveThread(client: Client, channelId: string): Promise<any>;
    static listActiveThreads(client: Client, channelId: string): Promise<any>;
    static listThreadMembers(client: Client, channelId: string): Promise<any>;
    static modify(client: Client, channelId: string, data: any, reason?: string): Promise<any>;
    static pinMessage(client: Client, channelId: string, messageId: string, reason?: string): Promise<any>;
    static removeThreadMember(client: Client, channelId: string, userId: string): Promise<any>;
    static startThreadWithMessage(client: Client, channelId: string, messageId: string, data: any, reason?: string): Promise<any>;
    static startThreadWithoutMessage(client: Client, channelId: string, data: any, reason?: string): Promise<any>;
    static triggerTypingIndicator(client: Client, channelId: string): Promise<any>;
    static unpinMessage(client: Client, channelId: string, messageId: string, reason?: string): Promise<any>;
}
