"use strict";
/*
 * Copyright (c) 2021, knokbak and contributors.
 *
 * The Birb.JS Project: https://birb.js.org
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const AddThreadMember_1 = __importDefault(require("./channels/AddThreadMember"));
const BulkDeleteMessages_1 = __importDefault(require("./channels/BulkDeleteMessages"));
const CreateInvite_1 = __importDefault(require("./channels/CreateInvite"));
const CreateMessage_1 = __importDefault(require("./channels/CreateMessage"));
const CreateMessageReaction_1 = __importDefault(require("./channels/CreateMessageReaction"));
const CrossPostMessage_1 = __importDefault(require("./channels/CrossPostMessage"));
const Delete_1 = __importDefault(require("./channels/Delete"));
const DeleteAllMessageReactions_1 = __importDefault(require("./channels/DeleteAllMessageReactions"));
const DeleteAllMessageReactionsForEmoji_1 = __importDefault(require("./channels/DeleteAllMessageReactionsForEmoji"));
const DeleteMessage_1 = __importDefault(require("./channels/DeleteMessage"));
const DeleteMessageReaction_1 = __importDefault(require("./channels/DeleteMessageReaction"));
const DeleteOwnMessageReaction_1 = __importDefault(require("./channels/DeleteOwnMessageReaction"));
const DeletePermission_1 = __importDefault(require("./channels/DeletePermission"));
const DMAddRecipient_1 = __importDefault(require("./channels/DMAddRecipient"));
const DMRemoveRecipient_1 = __importDefault(require("./channels/DMRemoveRecipient"));
const EditMessage_1 = __importDefault(require("./channels/EditMessage"));
const EditPermissions_1 = __importDefault(require("./channels/EditPermissions"));
const FollowChannel_1 = __importDefault(require("./channels/FollowChannel"));
const GetInvites_1 = __importDefault(require("./guilds/GetInvites"));
const GetMessage_1 = __importDefault(require("./channels/GetMessage"));
const GetMessageReactions_1 = __importDefault(require("./channels/GetMessageReactions"));
const GetMessages_1 = __importDefault(require("./channels/GetMessages"));
const GetPinnedMessages_1 = __importDefault(require("./channels/GetPinnedMessages"));
const GetThreadMember_1 = __importDefault(require("./channels/GetThreadMember"));
const JoinThread_1 = __importDefault(require("./channels/JoinThread"));
const LeaveThread_1 = __importDefault(require("./channels/LeaveThread"));
const ListActiveThreads_1 = __importDefault(require("./channels/ListActiveThreads"));
const ListThreadMembers_1 = __importDefault(require("./channels/ListThreadMembers"));
const Modify_1 = __importDefault(require("./guilds/Modify"));
const PinMessage_1 = __importDefault(require("./channels/PinMessage"));
const RemoveThreadMember_1 = __importDefault(require("./channels/RemoveThreadMember"));
const StartThreadWithMessage_1 = __importDefault(require("./channels/StartThreadWithMessage"));
const StartThreadWithoutMessage_1 = __importDefault(require("./channels/StartThreadWithoutMessage"));
const TriggerTypingIndicator_1 = __importDefault(require("./channels/TriggerTypingIndicator"));
const UnpinMessage_1 = __importDefault(require("./channels/UnpinMessage"));
class HTTPChannel {
    static addThreadMember(client, channelId, userId) {
        let request = new AddThreadMember_1.default(client, channelId, userId);
        return request.make();
    }
    static bulkDeleteMessages(client, channelId, data, reason) {
        let request = new BulkDeleteMessages_1.default(client, channelId, data, reason);
        return request.make();
    }
    static createInvite(client, channelId, data, reason) {
        let request = new CreateInvite_1.default(client, channelId, data, reason);
        return request.make();
    }
    static createMessage(client, channelId, data) {
        let request = new CreateMessage_1.default(client, channelId, data);
        return request.make();
    }
    static createMessageReaction(client, channelId, messageId, emoji) {
        let request = new CreateMessageReaction_1.default(client, channelId, messageId, emoji);
        return request.make();
    }
    static crossPostMessage(client, channelId, messageId) {
        let request = new CrossPostMessage_1.default(client, channelId, messageId);
        return request.make();
    }
    static delete(client, channelId, reason) {
        let request = new Delete_1.default(client, channelId, reason);
        return request.make();
    }
    static deleteAllMessageReactions(client, channelId, messageId) {
        let request = new DeleteAllMessageReactions_1.default(client, channelId, messageId);
        return request.make();
    }
    static deleteAllMessageReactionsForEmoji(client, channelId, messageId, emoji) {
        let request = new DeleteAllMessageReactionsForEmoji_1.default(client, channelId, messageId, emoji);
        return request.make();
    }
    static deleteMessage(client, channelId, messageId, reason) {
        let request = new DeleteMessage_1.default(client, channelId, messageId, reason);
        return request.make();
    }
    static deleteMessageReaction(client, channelId, messageId, userId, emoji) {
        let request = new DeleteMessageReaction_1.default(client, channelId, messageId, userId, emoji);
        return request.make();
    }
    static deleteOwnMessageReaction(client, channelId, messageId, emoji) {
        let request = new DeleteOwnMessageReaction_1.default(client, channelId, messageId, emoji);
        return request.make();
    }
    static deletePermission(client, channelId, overwriteId, reason) {
        let request = new DeletePermission_1.default(client, channelId, overwriteId, reason);
        return request.make();
    }
    static dmAddRecipient(client, channelId, userId, data) {
        let request = new DMAddRecipient_1.default(client, channelId, userId, data);
        return request.make();
    }
    static dmRemoveRecipient(client, channelId, userId) {
        let request = new DMRemoveRecipient_1.default(client, channelId, userId);
        return request.make();
    }
    static editMessage(client, channelId, messageId, data) {
        let request = new EditMessage_1.default(client, channelId, messageId, data);
        return request.make();
    }
    static editPermissions(client, channelId, overwriteId, data) {
        let request = new EditPermissions_1.default(client, channelId, overwriteId, data);
        return request.make();
    }
    static followChannel(client, channelId, data) {
        let request = new FollowChannel_1.default(client, channelId, data);
        return request.make();
    }
    static getInvites(client, channelId) {
        let request = new GetInvites_1.default(client, channelId);
        return request.make();
    }
    static getMessage(client, channelId, messageId) {
        let request = new GetMessage_1.default(client, channelId, messageId);
        return request.make();
    }
    static getMessageReactions(client, channelId, messageId, emoji) {
        let request = new GetMessageReactions_1.default(client, channelId, messageId, emoji);
        return request.make();
    }
    static getMessages(client, channelId, data) {
        let request = new GetMessages_1.default(client, channelId, data);
        return request.make();
    }
    static getPinnedMessages(client, channelId) {
        let request = new GetPinnedMessages_1.default(client, channelId);
        return request.make();
    }
    static getThreadMember(client, channelId, userId) {
        let request = new GetThreadMember_1.default(client, channelId, userId);
        return request.make();
    }
    static joinThread(client, channelId) {
        let request = new JoinThread_1.default(client, channelId);
        return request.make();
    }
    static leaveThread(client, channelId) {
        let request = new LeaveThread_1.default(client, channelId);
        return request.make();
    }
    static listActiveThreads(client, channelId) {
        let request = new ListActiveThreads_1.default(client, channelId);
        return request.make();
    }
    static listThreadMembers(client, channelId) {
        let request = new ListThreadMembers_1.default(client, channelId);
        return request.make();
    }
    static modify(client, channelId, data, reason) {
        let request = new Modify_1.default(client, channelId, data, reason);
        return request.make();
    }
    static pinMessage(client, channelId, messageId, reason) {
        let request = new PinMessage_1.default(client, channelId, messageId, reason);
        return request.make();
    }
    static removeThreadMember(client, channelId, userId) {
        let request = new RemoveThreadMember_1.default(client, channelId, userId);
        return request.make();
    }
    static startThreadWithMessage(client, channelId, messageId, data, reason) {
        let request = new StartThreadWithMessage_1.default(client, channelId, messageId, data, reason);
        return request.make();
    }
    static startThreadWithoutMessage(client, channelId, data, reason) {
        let request = new StartThreadWithoutMessage_1.default(client, channelId, data, reason);
        return request.make();
    }
    static triggerTypingIndicator(client, channelId) {
        let request = new TriggerTypingIndicator_1.default(client, channelId);
        return request.make();
    }
    static unpinMessage(client, channelId, messageId, reason) {
        let request = new UnpinMessage_1.default(client, channelId, messageId, reason);
        return request.make();
    }
}
exports.default = HTTPChannel;
