"use strict";
/*
 * Copyright (c) 2021, knokbak and contributors.
 *
 * The Birb.JS Project: https://birb.js.org
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const AddMember_1 = __importDefault(require("./guilds/AddMember"));
const AddMemberRole_1 = __importDefault(require("./guilds/AddMemberRole"));
const BeginPrune_1 = __importDefault(require("./guilds/BeginPrune"));
const CreateBan_1 = __importDefault(require("./guilds/CreateBan"));
const CreateChannel_1 = __importDefault(require("./guilds/CreateChannel"));
const CreateRole_1 = __importDefault(require("./guilds/CreateRole"));
const Delete_1 = __importDefault(require("./guilds/Delete"));
const DeleteIntegration_1 = __importDefault(require("./guilds/DeleteIntegration"));
const DeleteRole_1 = __importDefault(require("./guilds/DeleteRole"));
const Get_1 = __importDefault(require("./guilds/Get"));
const GetActiveThreads_1 = __importDefault(require("./guilds/GetActiveThreads"));
const GetBan_1 = __importDefault(require("./guilds/GetBan"));
const GetBans_1 = __importDefault(require("./guilds/GetBans"));
const GetChannels_1 = __importDefault(require("./guilds/GetChannels"));
const GetIntegrations_1 = __importDefault(require("./guilds/GetIntegrations"));
const GetInvites_1 = __importDefault(require("./guilds/GetInvites"));
const GetMember_1 = __importDefault(require("./guilds/GetMember"));
const GetMembers_1 = __importDefault(require("./guilds/GetMembers"));
const GetPreview_1 = __importDefault(require("./guilds/GetPreview"));
const GetPruneCount_1 = __importDefault(require("./guilds/GetPruneCount"));
const GetRoles_1 = __importDefault(require("./guilds/GetRoles"));
const GetVanityURL_1 = __importDefault(require("./guilds/GetVanityURL"));
const GetVoiceRegions_1 = __importDefault(require("./guilds/GetVoiceRegions"));
const GetWelcomeScreen_1 = __importDefault(require("./guilds/GetWelcomeScreen"));
const GetWidget_1 = __importDefault(require("./guilds/GetWidget"));
const GetWidgetSettings_1 = __importDefault(require("./guilds/GetWidgetSettings"));
const Modify_1 = __importDefault(require("./guilds/Modify"));
const ModifyChannelPositions_1 = __importDefault(require("./guilds/ModifyChannelPositions"));
const ModifyCurrentMember_1 = __importDefault(require("./guilds/ModifyCurrentMember"));
const ModifyMember_1 = __importDefault(require("./guilds/ModifyMember"));
const ModifyRole_1 = __importDefault(require("./guilds/ModifyRole"));
const ModifyRolePositions_1 = __importDefault(require("./guilds/ModifyRolePositions"));
const ModifyVoiceState_1 = __importDefault(require("./guilds/ModifyVoiceState"));
const ModifyWelcomeScreen_1 = __importDefault(require("./guilds/ModifyWelcomeScreen"));
const ModifyWidget_1 = __importDefault(require("./guilds/ModifyWidget"));
const RemoveBan_1 = __importDefault(require("./guilds/RemoveBan"));
const RemoveMember_1 = __importDefault(require("./guilds/RemoveMember"));
const RemoveMemberRole_1 = __importDefault(require("./guilds/RemoveMemberRole"));
const SearchMembers_1 = __importDefault(require("./guilds/SearchMembers"));
class HTTPGuild {
    static addMember(client, guildId, userId, data) {
        let request = new AddMember_1.default(client, guildId, userId, data);
        return request.make();
    }
    static addMemberRole(client, guildId, userId, roleId, data, reason) {
        let request = new AddMemberRole_1.default(client, guildId, userId, roleId, data, reason);
        return request.make();
    }
    static beginPrune(client, guildId, data, reason) {
        let request = new BeginPrune_1.default(client, guildId, data, reason);
        return request.make();
    }
    static createBan(client, guildId, userId, data, reason) {
        let request = new CreateBan_1.default(client, guildId, userId, data, reason);
        return request.make();
    }
    static createChannel(client, guildId, data, reason) {
        let request = new CreateChannel_1.default(client, guildId, data, reason);
        return request.make();
    }
    static createRole(client, guildId, data, reason) {
        let request = new CreateRole_1.default(client, guildId, data, reason);
        return request.make();
    }
    static delete(client, guildId) {
        let request = new Delete_1.default(client, guildId);
        return request.make();
    }
    static deleteIntegration(client, guildId, integrationId, reason) {
        let request = new DeleteIntegration_1.default(client, guildId, integrationId, reason);
        return request.make();
    }
    static deleteRole(client, guildId, roleId, reason) {
        let request = new DeleteRole_1.default(client, guildId, roleId, reason);
        return request.make();
    }
    static get(client, guildId) {
        let request = new Get_1.default(client, guildId);
        return request.make();
    }
    static getActiveThreads(client, guildId) {
        let request = new GetActiveThreads_1.default(client, guildId);
        return request.make();
    }
    static getBan(client, guildId, userId) {
        let request = new GetBan_1.default(client, guildId, userId);
        return request.make();
    }
    static getBans(client, guildId) {
        let request = new GetBans_1.default(client, guildId);
        return request.make();
    }
    static getChannels(client, guildId) {
        let request = new GetChannels_1.default(client, guildId);
        return request.make();
    }
    static getIntegrations(client, guildId) {
        let request = new GetIntegrations_1.default(client, guildId);
        return request.make();
    }
    static getInvites(client, guildId) {
        let request = new GetInvites_1.default(client, guildId);
        return request.make();
    }
    static getMember(client, guildId, userId) {
        let request = new GetMember_1.default(client, guildId, userId);
        return request.make();
    }
    static getMembers(client, guildId) {
        let request = new GetMembers_1.default(client, guildId);
        return request.make();
    }
    static getPreview(client, guildId) {
        let request = new GetPreview_1.default(client, guildId);
        return request.make();
    }
    static getPruneCount(client, guildId, days, includeRoles) {
        let request = new GetPruneCount_1.default(client, guildId, days, includeRoles);
        return request.make();
    }
    static getRoles(client, guildId) {
        let request = new GetRoles_1.default(client, guildId);
        return request.make();
    }
    static getVanityUrl(client, guildId) {
        let request = new GetVanityURL_1.default(client, guildId);
        return request.make();
    }
    static getVoiceRegions(client, guildId) {
        let request = new GetVoiceRegions_1.default(client, guildId);
        return request.make();
    }
    static getWelcomeScreen(client, guildId) {
        let request = new GetWelcomeScreen_1.default(client, guildId);
        return request.make();
    }
    static getWidget(client, guildId) {
        let request = new GetWidget_1.default(client, guildId);
        return request.make();
    }
    static getWidgetSettings(client, guildId) {
        let request = new GetWidgetSettings_1.default(client, guildId);
        return request.make();
    }
    static modify(client, guildId, data, reason) {
        let request = new Modify_1.default(client, guildId, data, reason);
        return request.make();
    }
    static modifyChannelPositions(client, guildId, data, reason) {
        let request = new ModifyChannelPositions_1.default(client, guildId, data, reason);
        return request.make();
    }
    static modifyCurrentMember(client, guildId, data, reason) {
        let request = new ModifyCurrentMember_1.default(client, guildId, data, reason);
        return request.make();
    }
    static modifyMember(client, guildId, userId, data, reason) {
        let request = new ModifyMember_1.default(client, guildId, userId, data, reason);
        return request.make();
    }
    static modifyRole(client, guildId, roleId, data, reason) {
        let request = new ModifyRole_1.default(client, guildId, roleId, data, reason);
        return request.make();
    }
    static modifyRolePositions(client, guildId, data, reason) {
        let request = new ModifyRolePositions_1.default(client, guildId, data, reason);
        return request.make();
    }
    static modifyVoiceState(client, guildId, userId, data, reason) {
        let request = new ModifyVoiceState_1.default(client, guildId, userId, data, reason);
        return request.make();
    }
    static modifyWelcomeScreen(client, guildId, data, reason) {
        let request = new ModifyWelcomeScreen_1.default(client, guildId, data, reason);
        return request.make();
    }
    static modifyWidget(client, guildId, data, reason) {
        let request = new ModifyWidget_1.default(client, guildId, data, reason);
        return request.make();
    }
    static removeBan(client, guildId, userId, reason) {
        let request = new RemoveBan_1.default(client, guildId, userId, reason);
        return request.make();
    }
    static removeMember(client, guildId, userId, reason) {
        let request = new RemoveMember_1.default(client, guildId, userId, reason);
        return request.make();
    }
    static removeMemberRole(client, guildId, userId, roleId, reason) {
        let request = new RemoveMemberRole_1.default(client, guildId, userId, roleId, reason);
        return request.make();
    }
    static searchMembers(client, guildId, query) {
        let request = new SearchMembers_1.default(client, guildId, query);
        return request.make();
    }
}
exports.default = HTTPGuild;
