"use strict";
/*
 * Copyright (c) 2021, knokbak and contributors.
 *
 * The Birb.JS Project: https://birb.js.org
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const GetCurrent_1 = __importDefault(require("./users/GetCurrent"));
const Get_1 = __importDefault(require("./users/Get"));
const CreateDM_1 = __importDefault(require("./users/CreateDM"));
const LeaveGuild_1 = __importDefault(require("./users/LeaveGuild"));
const ModifyCurrent_1 = __importDefault(require("./users/ModifyCurrent"));
class HTTPUser {
    static getCurrent(client) {
        let request = new GetCurrent_1.default(client);
        return request.make();
    }
    static get(client, userId) {
        let request = new Get_1.default(client, userId);
        return request.make();
    }
    static createDM(client, userId) {
        let request = new CreateDM_1.default(client, userId);
        return request.make();
    }
    static leaveGuild(client, guildId) {
        let request = new LeaveGuild_1.default(client, guildId);
        return request.make();
    }
    static modifyCurrent(client, data) {
        let request = new ModifyCurrent_1.default(client, data);
        return request.make();
    }
}
exports.default = HTTPUser;
