/// <reference types="node" />
import ShardMaster from './ShardMaster';
import { ChildProcess } from 'child_process';
/**
 * The ShardChild is just a class to make it easier for the
 * ShardMaster do perform actions on individual shards.
 */
export default class ShardChild {
    master: ShardMaster;
    number: number;
    process: ChildProcess | null;
    private events;
    constructor(master: ShardMaster, shardNumber: number);
    start(): Promise<void>;
    listen(event: string, callback: (...args: any[]) => any): void;
    emit(event: string, ...args: any[]): void;
    /**
     * Send an IPC message to the shard's child process.
     *
     * @param {any} data The data to send.
     */
    send(data: {
        [key: string]: any;
    }): void;
    private onMessage;
    private onExit;
}
