"use strict";
/*
 * Copyright (c) 2021, knokbak and contributors.
 *
 * The Birb.JS Project: https://birb.js.org
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("../../..");
const Guild_1 = __importDefault(require("../../Guild"));
async function GUILD_CREATE(ws, data) {
    ws.client.debug(`received guild: ${data.id}`);
    let guild = new Guild_1.default(ws.client, data)['set']();
    if (ws.status === __1.Status.WAITING_FOR_GUILDS) {
        ws.expectedGuilds.delete(data.id);
        ws.client.emit('guildAvailable', guild);
        if (ws.expectedGuilds.size == 0) {
            setTimeout(() => {
                ws.client.debug(`we've received all guilds; setting to ready`);
                ws.setStatus(__1.Status.READY);
                ws.client.emit('ready');
            }, 500);
        }
    }
    else
        ws.client.emit('guildCreate', guild);
}
exports.default = GUILD_CREATE;
