"use strict";
/*
 * Copyright (c) 2021, knokbak and contributors.
 *
 * The Birb.JS Project: https://birb.js.org
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
Object.defineProperty(exports, "__esModule", { value: true });
class BirbJSError extends Error {
    constructor(name, message, url) {
        super(message + (url ? `\nHead to: ${url}` : ''));
        this.url = null;
        this.name = name || 'BirbJSError';
        this.url = url;
    }
    compact() {
        return `${this.name}: ${this.message}`;
    }
}
exports.default = BirbJSError;
