"use strict";
/*
 * Copyright (c) 2021, knokbak and contributors.
 *
 * The Birb.JS Project: https://birb.js.org
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports._test = exports.GatewayCloseCode = exports.PacketOperation = exports.Status = exports.VerificationLevel = exports.NotificationLevel = exports.ExplicitContentFilterLevel = exports.MFALevel = exports.NSFWLevel = exports.Color = exports.WebsocketWarning = exports.WebsocketProcessingError = exports.WebsocketError = exports.ShardingError = exports.MemoryLeakWarning = exports.GuildError = exports.ClientWarning = exports.ClientError = exports.CacheError = exports.BirbJSError = exports.Role = exports.Pair = exports.Intents = exports.Guild = exports.Client = exports.Cache = exports.Websocket = exports.Request = exports.HTTPUser = exports.HTTPChannel = exports.HTTPGuild = exports.GuildBlock = exports.BitsBlock = exports.Snowflake = void 0;
/*
 * WHEN EDITING THIS, THERE ARE SOME RULES WE NEED TO READ,
 * FOLLOW, AND BE AWARE OF:
 *
 *  - If importing a class, type, enum or other property,
 *    you must add it in alphabetical order. It must also
 *    be sorted based on the file structure. Usually, your
 *    IDE should show this for you.
 *  - When exporting, you should add the properties in the
 *    order they're imported.
 *  - Do not modify this comment.
 */
const snowflake_1 = require("@sapphire/snowflake");
Object.defineProperty(exports, "Snowflake", { enumerable: true, get: function () { return snowflake_1.Snowflake; } });
const BitsBlock_1 = __importDefault(require("./classes/blocks/BitsBlock"));
exports.BitsBlock = BitsBlock_1.default;
const GuildBlock_1 = __importDefault(require("./classes/blocks/GuildBlock"));
exports.GuildBlock = GuildBlock_1.default;
const HTTPGuild_1 = __importDefault(require("./classes/http/HTTPGuild"));
exports.HTTPGuild = HTTPGuild_1.default;
const HTTPChannel_1 = __importDefault(require("./classes/http/HTTPChannel"));
exports.HTTPChannel = HTTPChannel_1.default;
const HTTPUser_1 = __importDefault(require("./classes/http/HTTPUser"));
exports.HTTPUser = HTTPUser_1.default;
const Request_1 = __importDefault(require("./classes/http/Request"));
exports.Request = Request_1.default;
const Websocket_1 = __importDefault(require("./classes/websocket/Websocket"));
exports.Websocket = Websocket_1.default;
const Cache_1 = __importDefault(require("./classes/Cache"));
exports.Cache = Cache_1.default;
const Client_1 = __importDefault(require("./classes/Client"));
exports.Client = Client_1.default;
const Guild_1 = __importDefault(require("./classes/Guild"));
exports.Guild = Guild_1.default;
const Intents_1 = __importDefault(require("./classes/Intents"));
exports.Intents = Intents_1.default;
const Pair_1 = __importDefault(require("./classes/Pair"));
exports.Pair = Pair_1.default;
const Role_1 = __importDefault(require("./classes/Role"));
exports.Role = Role_1.default;
const BirbJSError_1 = __importDefault(require("./errors/BirbJSError"));
exports.BirbJSError = BirbJSError_1.default;
const CacheError_1 = __importDefault(require("./errors/CacheError"));
exports.CacheError = CacheError_1.default;
const ClientError_1 = __importDefault(require("./errors/ClientError"));
exports.ClientError = ClientError_1.default;
const ClientWarning_1 = __importDefault(require("./errors/ClientWarning"));
exports.ClientWarning = ClientWarning_1.default;
const GuildError_1 = __importDefault(require("./errors/GuildError"));
exports.GuildError = GuildError_1.default;
const MemoryLeakWarning_1 = __importDefault(require("./errors/MemoryLeakWarning"));
exports.MemoryLeakWarning = MemoryLeakWarning_1.default;
const ShardingError_1 = __importDefault(require("./errors/ShardingError"));
exports.ShardingError = ShardingError_1.default;
const WebsocketError_1 = __importDefault(require("./errors/WebsocketError"));
exports.WebsocketError = WebsocketError_1.default;
const WebsocketProcessingError_1 = __importDefault(require("./errors/WebsocketProcessingError"));
exports.WebsocketProcessingError = WebsocketProcessingError_1.default;
const WebsocketWarning_1 = __importDefault(require("./errors/WebsocketWarning"));
exports.WebsocketWarning = WebsocketWarning_1.default;
const Color_1 = __importDefault(require("./util/Color"));
exports.Color = Color_1.default;
const Constants_1 = require("./util/Constants");
Object.defineProperty(exports, "NSFWLevel", { enumerable: true, get: function () { return Constants_1.NSFWLevel; } });
Object.defineProperty(exports, "MFALevel", { enumerable: true, get: function () { return Constants_1.MFALevel; } });
Object.defineProperty(exports, "ExplicitContentFilterLevel", { enumerable: true, get: function () { return Constants_1.ExplicitContentFilterLevel; } });
Object.defineProperty(exports, "NotificationLevel", { enumerable: true, get: function () { return Constants_1.NotificationLevel; } });
Object.defineProperty(exports, "VerificationLevel", { enumerable: true, get: function () { return Constants_1.VerificationLevel; } });
Object.defineProperty(exports, "Status", { enumerable: true, get: function () { return Constants_1.Status; } });
Object.defineProperty(exports, "PacketOperation", { enumerable: true, get: function () { return Constants_1.PacketOperation; } });
Object.defineProperty(exports, "GatewayCloseCode", { enumerable: true, get: function () { return Constants_1.GatewayCloseCode; } });
function _test() {
    console.info('test passed; index.ts is valid');
}
exports._test = _test;
