"use strict";
/*
 * Copyright (c) 2021, knokbak and contributors.
 *
 * The Birb.JS Project: https://birb.js.org
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActivityType = exports.GatewayCloseCode = exports.PacketOperation = exports.Status = exports.VerificationLevel = exports.NotificationLevel = exports.ExplicitContentFilterLevel = exports.MFALevel = exports.NSFWLevel = exports.Intents = void 0;
var Intents;
(function (Intents) {
    Intents[Intents["GUILDS"] = 1] = "GUILDS";
    Intents[Intents["GUILD_MEMBERS"] = 2] = "GUILD_MEMBERS";
    Intents[Intents["GUILD_BANS"] = 4] = "GUILD_BANS";
    Intents[Intents["GUILD_EMOJIS_AND_STICKERS"] = 8] = "GUILD_EMOJIS_AND_STICKERS";
    Intents[Intents["GUILD_INTEGRATIONS"] = 16] = "GUILD_INTEGRATIONS";
    Intents[Intents["GUILD_WEBHOOKS"] = 32] = "GUILD_WEBHOOKS";
    Intents[Intents["GUILD_INVITES"] = 64] = "GUILD_INVITES";
    Intents[Intents["GUILD_VOICE_STATES"] = 128] = "GUILD_VOICE_STATES";
    Intents[Intents["GUILD_PRESENCES"] = 256] = "GUILD_PRESENCES";
    Intents[Intents["GUILD_MESSAGES"] = 512] = "GUILD_MESSAGES";
    Intents[Intents["GUILD_MESSAGE_REACTIONS"] = 1024] = "GUILD_MESSAGE_REACTIONS";
    Intents[Intents["GUILD_MESSAGE_TYPING"] = 2048] = "GUILD_MESSAGE_TYPING";
    Intents[Intents["DIRECT_MESSAGES"] = 4096] = "DIRECT_MESSAGES";
    Intents[Intents["DIRECT_MESSAGE_REACTIONS"] = 8192] = "DIRECT_MESSAGE_REACTIONS";
    Intents[Intents["DIRECT_MESSAGE_TYPING"] = 16384] = "DIRECT_MESSAGE_TYPING";
    Intents[Intents["GUILD_SCHEDULED_EVENTS"] = 65536] = "GUILD_SCHEDULED_EVENTS";
    Intents[Intents["NOT_PRIVILEGED"] = 98045] = "NOT_PRIVILEGED";
    Intents[Intents["ALL"] = 98303] = "ALL";
})(Intents = exports.Intents || (exports.Intents = {}));
var NSFWLevel;
(function (NSFWLevel) {
    NSFWLevel[NSFWLevel["UNKNOWN"] = 0] = "UNKNOWN";
    NSFWLevel[NSFWLevel["EXPLICIT"] = 1] = "EXPLICIT";
    NSFWLevel[NSFWLevel["SAFE"] = 2] = "SAFE";
    NSFWLevel[NSFWLevel["AGE_RESTRICTED"] = 3] = "AGE_RESTRICTED";
})(NSFWLevel = exports.NSFWLevel || (exports.NSFWLevel = {}));
var MFALevel;
(function (MFALevel) {
    MFALevel[MFALevel["NONE"] = 0] = "NONE";
    MFALevel[MFALevel["ELEVATED"] = 1] = "ELEVATED";
})(MFALevel = exports.MFALevel || (exports.MFALevel = {}));
var ExplicitContentFilterLevel;
(function (ExplicitContentFilterLevel) {
    ExplicitContentFilterLevel[ExplicitContentFilterLevel["DISABLED"] = 0] = "DISABLED";
    ExplicitContentFilterLevel[ExplicitContentFilterLevel["MEMBERS_WITHOUT_ROLES"] = 1] = "MEMBERS_WITHOUT_ROLES";
    ExplicitContentFilterLevel[ExplicitContentFilterLevel["ALL_MEMBERS"] = 2] = "ALL_MEMBERS";
})(ExplicitContentFilterLevel = exports.ExplicitContentFilterLevel || (exports.ExplicitContentFilterLevel = {}));
var NotificationLevel;
(function (NotificationLevel) {
    NotificationLevel[NotificationLevel["ALL_MESSAGES"] = 0] = "ALL_MESSAGES";
    NotificationLevel[NotificationLevel["ONLY_MENTIONS"] = 1] = "ONLY_MENTIONS";
})(NotificationLevel = exports.NotificationLevel || (exports.NotificationLevel = {}));
var VerificationLevel;
(function (VerificationLevel) {
    VerificationLevel[VerificationLevel["NONE"] = 0] = "NONE";
    VerificationLevel[VerificationLevel["LOW"] = 1] = "LOW";
    VerificationLevel[VerificationLevel["MEDIUM"] = 2] = "MEDIUM";
    VerificationLevel[VerificationLevel["HIGH"] = 3] = "HIGH";
    VerificationLevel[VerificationLevel["VERY_HIGH"] = 4] = "VERY_HIGH";
})(VerificationLevel = exports.VerificationLevel || (exports.VerificationLevel = {}));
var Status;
(function (Status) {
    Status[Status["IDLE"] = 0] = "IDLE";
    Status[Status["READY"] = 1] = "READY";
    Status[Status["CONNECTING"] = 2] = "CONNECTING";
    Status[Status["RECONNECTING"] = 3] = "RECONNECTING";
    Status[Status["DISCONNECTED"] = 4] = "DISCONNECTED";
    Status[Status["WAITING_FOR_GUILDS"] = 5] = "WAITING_FOR_GUILDS";
    Status[Status["RESUMING"] = 6] = "RESUMING";
    Status[Status["IDENTIFYING"] = 7] = "IDENTIFYING";
})(Status = exports.Status || (exports.Status = {}));
var PacketOperation;
(function (PacketOperation) {
    PacketOperation[PacketOperation["DISPATCH"] = 0] = "DISPATCH";
    PacketOperation[PacketOperation["HEARTBEAT"] = 1] = "HEARTBEAT";
    PacketOperation[PacketOperation["IDENTIFY"] = 2] = "IDENTIFY";
    PacketOperation[PacketOperation["PRESENCE_UPDATE"] = 3] = "PRESENCE_UPDATE";
    PacketOperation[PacketOperation["VOICE_STATE_UPDATE"] = 4] = "VOICE_STATE_UPDATE";
    PacketOperation[PacketOperation["VOICE_SERVER_PING"] = 5] = "VOICE_SERVER_PING";
    PacketOperation[PacketOperation["RESUME"] = 6] = "RESUME";
    PacketOperation[PacketOperation["RECONNECT"] = 7] = "RECONNECT";
    PacketOperation[PacketOperation["REQUEST_GUILD_MEMBERS"] = 8] = "REQUEST_GUILD_MEMBERS";
    PacketOperation[PacketOperation["INVALID_SESSION"] = 9] = "INVALID_SESSION";
    PacketOperation[PacketOperation["HELLO"] = 10] = "HELLO";
    PacketOperation[PacketOperation["HEARTBEAT_ACK"] = 11] = "HEARTBEAT_ACK";
})(PacketOperation = exports.PacketOperation || (exports.PacketOperation = {}));
var GatewayCloseCode;
(function (GatewayCloseCode) {
    GatewayCloseCode[GatewayCloseCode["UNKNOWN_ERROR"] = 4000] = "UNKNOWN_ERROR";
    GatewayCloseCode[GatewayCloseCode["UNKNOWN_OPCODE"] = 4001] = "UNKNOWN_OPCODE";
    GatewayCloseCode[GatewayCloseCode["DECODE_ERROR"] = 4002] = "DECODE_ERROR";
    GatewayCloseCode[GatewayCloseCode["NOT_AUTHENTICATED"] = 4003] = "NOT_AUTHENTICATED";
    GatewayCloseCode[GatewayCloseCode["AUTHENTICATION_FAILED"] = 4004] = "AUTHENTICATION_FAILED";
    GatewayCloseCode[GatewayCloseCode["ALREADY_AUTHENTICATED"] = 4005] = "ALREADY_AUTHENTICATED";
    GatewayCloseCode[GatewayCloseCode["INVALID_SEQ"] = 4007] = "INVALID_SEQ";
    GatewayCloseCode[GatewayCloseCode["RATE_LIMITED"] = 4008] = "RATE_LIMITED";
    GatewayCloseCode[GatewayCloseCode["SESSION_TIMEOUT"] = 4009] = "SESSION_TIMEOUT";
    GatewayCloseCode[GatewayCloseCode["INVALID_SHARD"] = 4010] = "INVALID_SHARD";
    GatewayCloseCode[GatewayCloseCode["SHARDING_REQUIRED"] = 4011] = "SHARDING_REQUIRED";
    GatewayCloseCode[GatewayCloseCode["INVALID_VERSION"] = 4012] = "INVALID_VERSION";
    GatewayCloseCode[GatewayCloseCode["INVALID_INTENTS"] = 4013] = "INVALID_INTENTS";
    GatewayCloseCode[GatewayCloseCode["DISALLOWED_INTENTS"] = 4014] = "DISALLOWED_INTENTS";
})(GatewayCloseCode = exports.GatewayCloseCode || (exports.GatewayCloseCode = {}));
var ActivityType;
(function (ActivityType) {
    ActivityType[ActivityType["PLAYING"] = 0] = "PLAYING";
    ActivityType[ActivityType["STREAMING"] = 1] = "STREAMING";
    ActivityType[ActivityType["LISTENING"] = 2] = "LISTENING";
    ActivityType[ActivityType["WATCHING"] = 3] = "WATCHING";
    ActivityType[ActivityType["CUSTOM"] = 4] = "CUSTOM";
    ActivityType[ActivityType["COMPETING"] = 5] = "COMPETING";
})(ActivityType = exports.ActivityType || (exports.ActivityType = {}));
